# سیستم‌های چند عامله LLM

به راهنمای جامع سیستم‌های چند عامله خوش آمدید! این مستندات به شما کمک می‌کند تا سیستم‌های چند عامله قدرتمند و کارآمد را با استفاده از مدل‌های زبانی بزرگ (LLMs) ایجاد و مدیریت کنید.

## مزایای اصلی

* 🤝 **همکاری هوشمند** - عامل‌های متعدد که برای حل مسائل پیچیده با هم همکاری می‌کنند
* 🎯 **تخصص متمرکز** - هر عامل روی یک وظیفه خاص تمرکز می‌کند
* 🔄 **انعطاف‌پذیری** - سیستم قابل تطبیق با نیازهای در حال تغییر
* 📈 **مقیاس‌پذیری** - افزودن عامل‌های جدید برای گسترش قابلیت‌ها

## شروع سریع

برای شروع کار با سیستم چند عامله، این مراحل را دنبال کنید:

```python
from swarms import Agent, Swarm

# ایجاد عامل‌ها
agent1 = Agent(name="agent1", task="تحلیل داده")
agent2 = Agent(name="agent2", task="تولید گزارش")

# ایجاد گروه
swarm = Swarm(agents=[agent1, agent2])

# اجرای وظیفه
result = swarm.run("تحلیل داده‌های فروش و تولید گزارش")
```

## ساختار پروژه

- `swarms/` - کتابخانه اصلی
- `examples/` - نمونه‌های کاربردی
- `docs/` - مستندات
- `tests/` - تست‌های واحد

## نصب

```bash
pip install swarms
```

## مشارکت

ما از مشارکت‌های جامعه استقبال می‌کنیم! لطفاً [راهنمای مشارکت](contributing.md) ما را مطالعه کنید.

## پشتیبانی

برای سوالات و پشتیبانی:
- 📖 [مستندات](https://swarms.readthedocs.io)
- 💬 [انجمن](https://github.com/swarms/discussions)
- 🐛 [گزارش مشکلات](https://github.com/swarms/issues)

## مجوز

این پروژه تحت مجوز MIT منتشر شده است. برای جزئیات بیشتر [فایل مجوز](LICENSE) را ببینید. 